Bug 753415

Summary: I can't modify brightness with HP Elitebook 8560w
Product: [Fedora] Fedora Reporter: Couret Charles-Antoine <renault>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 17CC: alexey.brodkin, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, michel, tweety
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 22:08:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Couret Charles-Antoine 2011-11-12 06:40:36 EST
Description of problem:
I have the HP Elitebook 8560w with a nVidia's graphical card :

01:00.0 VGA compatible controller: nVidia Corporation GF108 [Quadro 1000M] (rev a1)

But I can't modify the brightness, xbacklight or to modify /sys/class/backlight/acpi_video0/brightness.

The only solution : the command « xrandr --output LVDS-1 --brightness 1.0 » is functional. But it's not very easy…

And the touch in the keyboard for this is recognize by Gnome 3.2 (an pop-up with brightness image appears) but nothing, the brightness is the same !

Additional info:

I use the nouveau driver.
Comment 1 Michel Alexandre Salim 2012-09-15 23:04:21 EDT
Thanks for reporting this -- since the problem is not specific to xbacklight, from similar experiences in the past (one of my laptop -- with an *Intel* integrated graphics controller, believe it or not -- had a similar problem) -- this is better handled by kernel developers.
Comment 2 Dave Jones 2012-10-23 11:36:24 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Couret Charles-Antoine 2012-10-23 16:11:38 EDT
I use Fedora 17 now with 3.6.3 kernel and nothing…
The bug is not corrected.

If you need more information, thanks to communicate that, I don't know the command or pertinent information to correct this bug but I want help people to solve this bug. ;)
Comment 4 Alexey Brodkin 2012-12-13 12:52:31 EST
Seems like the same issue is being discussed in freedesktop's bugzilla in Xorg/	
Nouveau section: https://bugs.freedesktop.org/show_bug.cgi?id=47965
Comment 5 Josh Boyer 2013-03-14 13:39:44 EDT
Is this still a problem with 3.8.2 in updates-testing?
Comment 6 Couret Charles-Antoine 2013-03-14 13:56:29 EDT
Yes.
Linux DiNozzo 3.8.2-206.fc18.x86_64 #1 SMP Fri Mar 8 15:03:34 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 7 Fedora End Of Life 2013-07-03 19:26:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 22:08:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.